// Diese Class speichert alle Objekte im Weltall und bewegt sie
// Jedes Object hat eine Lebenszeit.
// Am Ende der Lebenszeit wird das Objekt wieder aus der Liste entfernt.

class space {
  ArrayList<comet> spaceList;

  space() {
    spaceList = new ArrayList<comet>();
  }
   
  void addSpaceObject() {
    spaceList.add(new comet(500));
  } 
  
  void update() {
    int i;
    comet c;
    
    for (i=0; i<spaceList.size()-1; i++) {
       c = spaceList.get(i);
       c.show();
       c.move(); 
       if (!c.alive()) spaceList.remove(i);    // Aus der Liste entfernen, wenn lifetime am Ende
    } 
  }
  
  int collision(float xpos, float ypos) {
    int i;
    comet c;
    
    for (i=0; i<spaceList.size()-1; i++) {
       c = spaceList.get(i);
       if (c.collision(xpos, ypos)) {
         if (c.good()) return(1); else return(-1);
       }
    }
    return(0);
  }
  
}

